import { DlzControlTowerControlFormat, IDlzControlTowerControl, DlzControlTowerStandardControls } from '../index';
/**
 * Secure your AWS accounts by disallowing creation of access keys for the root user, which will allow unrestricted
 * access to all resources in the account.
 *
 * Format: Legacy Control
 * https://docs.aws.amazon.com/controltower/latest/userguide/strongly-recommended-controls.html#disallow-root-access-keys
 */
export declare class AWS_GR_RESTRICT_ROOT_USER_ACCESS_KEYS implements IDlzControlTowerControl {
    readonly controlFriendlyName = DlzControlTowerStandardControls['AWS_GR_RESTRICT_ROOT_USER_ACCESS_KEYS'];
    readonly description = "Secure your AWS accounts by disallowing creation of access keys for the root user, which will allow unrestricted access to all resources in the account.";
    readonly format = DlzControlTowerControlFormat.LEGACY;
    readonly externalLink = "https://docs.aws.amazon.com/controltower/latest/userguide/strongly-recommended-controls.html#disallow-root-access-keys";
    readonly controlIdName: {
        euWest1: string;
        usEast1: string;
    };
}
