import { Duration } from 'aws-cdk-lib';
import { Construct } from 'constructs';
/**
 * The maximum number of resources/constructs that can be created/updated/deleted at a given time. This is to avoid
 * hitting the CloudFormation resource limits that are per service/resource. For example, we can only create 10
 * ControlTower Controls at a time. This would make sure that we don't hit the limit and only create 10 at a time.
 * @param constructs
 * @param max
 */
export declare function limitCfnExecutions(constructs: Construct[], max: number): void;
/**
 * Changes a CDK Duration to an ISO8601 string in the format of PTxHxM
 * For example, 1 hour and 30 minutes would be PT1H30M
 * @param duration
 */
export declare function durationToIso8601(duration: Duration): string;
