import { DataLandingZoneProps, ForceNoPythonArgumentLifting } from '../data-landing-zone-types';
export declare class Scripts {
    /**
     * Bootstraps all accounts in all regions as defined by the config
     * @param props
     * @param bootstrapRoleName
     */
    boostrapAll(props: DataLandingZoneProps, bootstrapRoleName?: string): Promise<void>;
    /**
     * CDK diff all stacks
     * @param props
     * @param _ Ignore this parameter, it is used to force a consistent interface across TS and Python usage
     */
    diffAll(props: DataLandingZoneProps, _?: ForceNoPythonArgumentLifting): Promise<void>;
    /**
     * CDK diff stacks identified by the id
     * @param props
     * @param id
     */
    diffSelect(props: DataLandingZoneProps, id: string): Promise<void>;
    /**
     * CDK deploy all stacks
     * @param props
     * @param _ Ignore this parameter, it is used to force a consistent interface across TS and Python usage
     */
    deployAll(props: DataLandingZoneProps, _?: ForceNoPythonArgumentLifting): Promise<void>;
    /**
     * CDK deploy stacks identified by the id
     * @param props
     * @param id
     */
    deploySelect(props: DataLandingZoneProps, id: string): Promise<void>;
    /**
     * Sets the Cost Allocation Tags for the organization
     * @param props
     * @param _ Ignore this parameter, it is used to force a consistent interface across TS and Python usage
     */
    configureCostAllocationTags(props: DataLandingZoneProps, _?: ForceNoPythonArgumentLifting): Promise<void>;
}
export default Scripts;
