import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
} from "@smithy/types";
import { CostExplorerClientResolvedConfig } from "../CostExplorerClient";
export interface CostExplorerHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface CostExplorerHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    CostExplorerClientResolvedConfig,
    HandlerExecutionContext,
    CostExplorerHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultCostExplorerHttpAuthSchemeParametersProvider: (
  config: CostExplorerClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<CostExplorerHttpAuthSchemeParameters>;
export interface CostExplorerHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<CostExplorerHttpAuthSchemeParameters> {}
export declare const defaultCostExplorerHttpAuthSchemeProvider: CostExplorerHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: CostExplorerHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: CostExplorerHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
