"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  AccessDeniedException: () => AccessDeniedException,
  AddressFilterSensitiveLog: () => AddressFilterSensitiveLog,
  AlternateIdentifier: () => AlternateIdentifier,
  AlternateIdentifierFilterSensitiveLog: () => AlternateIdentifierFilterSensitiveLog,
  ConflictException: () => ConflictException,
  ConflictExceptionReason: () => ConflictExceptionReason,
  CreateGroupCommand: () => CreateGroupCommand,
  CreateGroupMembershipCommand: () => CreateGroupMembershipCommand,
  CreateGroupRequestFilterSensitiveLog: () => CreateGroupRequestFilterSensitiveLog,
  CreateUserCommand: () => CreateUserCommand,
  CreateUserRequestFilterSensitiveLog: () => CreateUserRequestFilterSensitiveLog,
  DeleteGroupCommand: () => DeleteGroupCommand,
  DeleteGroupMembershipCommand: () => DeleteGroupMembershipCommand,
  DeleteUserCommand: () => DeleteUserCommand,
  DescribeGroupCommand: () => DescribeGroupCommand,
  DescribeGroupMembershipCommand: () => DescribeGroupMembershipCommand,
  DescribeGroupResponseFilterSensitiveLog: () => DescribeGroupResponseFilterSensitiveLog,
  DescribeUserCommand: () => DescribeUserCommand,
  DescribeUserResponseFilterSensitiveLog: () => DescribeUserResponseFilterSensitiveLog,
  EmailFilterSensitiveLog: () => EmailFilterSensitiveLog,
  ExternalIdFilterSensitiveLog: () => ExternalIdFilterSensitiveLog,
  FilterFilterSensitiveLog: () => FilterFilterSensitiveLog,
  GetGroupIdCommand: () => GetGroupIdCommand,
  GetGroupIdRequestFilterSensitiveLog: () => GetGroupIdRequestFilterSensitiveLog,
  GetGroupMembershipIdCommand: () => GetGroupMembershipIdCommand,
  GetUserIdCommand: () => GetUserIdCommand,
  GetUserIdRequestFilterSensitiveLog: () => GetUserIdRequestFilterSensitiveLog,
  GroupFilterSensitiveLog: () => GroupFilterSensitiveLog,
  GroupMembershipExistenceResultFilterSensitiveLog: () => GroupMembershipExistenceResultFilterSensitiveLog,
  Identitystore: () => Identitystore,
  IdentitystoreClient: () => IdentitystoreClient,
  IdentitystoreServiceException: () => IdentitystoreServiceException,
  InternalServerException: () => InternalServerException,
  IsMemberInGroupsCommand: () => IsMemberInGroupsCommand,
  IsMemberInGroupsResponseFilterSensitiveLog: () => IsMemberInGroupsResponseFilterSensitiveLog,
  ListGroupMembershipsCommand: () => ListGroupMembershipsCommand,
  ListGroupMembershipsForMemberCommand: () => ListGroupMembershipsForMemberCommand,
  ListGroupsCommand: () => ListGroupsCommand,
  ListGroupsRequestFilterSensitiveLog: () => ListGroupsRequestFilterSensitiveLog,
  ListGroupsResponseFilterSensitiveLog: () => ListGroupsResponseFilterSensitiveLog,
  ListUsersCommand: () => ListUsersCommand,
  ListUsersRequestFilterSensitiveLog: () => ListUsersRequestFilterSensitiveLog,
  ListUsersResponseFilterSensitiveLog: () => ListUsersResponseFilterSensitiveLog,
  MemberId: () => MemberId,
  NameFilterSensitiveLog: () => NameFilterSensitiveLog,
  PhoneNumberFilterSensitiveLog: () => PhoneNumberFilterSensitiveLog,
  ResourceNotFoundException: () => ResourceNotFoundException,
  ResourceType: () => ResourceType,
  ServiceQuotaExceededException: () => ServiceQuotaExceededException,
  ThrottlingException: () => ThrottlingException,
  UpdateGroupCommand: () => UpdateGroupCommand,
  UpdateUserCommand: () => UpdateUserCommand,
  UserFilterSensitiveLog: () => UserFilterSensitiveLog,
  ValidationException: () => ValidationException,
  __Client: () => import_smithy_client.Client,
  paginateListGroupMemberships: () => paginateListGroupMemberships,
  paginateListGroupMembershipsForMember: () => paginateListGroupMembershipsForMember,
  paginateListGroups: () => paginateListGroups,
  paginateListUsers: () => paginateListUsers
});
module.exports = __toCommonJS(src_exports);

// src/IdentitystoreClient.ts
var import_middleware_host_header = require("@aws-sdk/middleware-host-header");
var import_middleware_logger = require("@aws-sdk/middleware-logger");
var import_middleware_recursion_detection = require("@aws-sdk/middleware-recursion-detection");
var import_middleware_user_agent = require("@aws-sdk/middleware-user-agent");
var import_config_resolver = require("@smithy/config-resolver");
var import_core = require("@smithy/core");
var import_middleware_content_length = require("@smithy/middleware-content-length");
var import_middleware_endpoint = require("@smithy/middleware-endpoint");
var import_middleware_retry = require("@smithy/middleware-retry");

var import_httpAuthSchemeProvider = require("./auth/httpAuthSchemeProvider");

// src/endpoint/EndpointParameters.ts
var resolveClientEndpointParameters = /* @__PURE__ */ __name((options) => {
  return {
    ...options,
    useDualstackEndpoint: options.useDualstackEndpoint ?? false,
    useFipsEndpoint: options.useFipsEndpoint ?? false,
    defaultSigningName: "identitystore"
  };
}, "resolveClientEndpointParameters");
var commonParams = {
  UseFIPS: { type: "builtInParams", name: "useFipsEndpoint" },
  Endpoint: { type: "builtInParams", name: "endpoint" },
  Region: { type: "builtInParams", name: "region" },
  UseDualStack: { type: "builtInParams", name: "useDualstackEndpoint" }
};

// src/IdentitystoreClient.ts
var import_runtimeConfig = require("././runtimeConfig");

// src/runtimeExtensions.ts
var import_region_config_resolver = require("@aws-sdk/region-config-resolver");
var import_protocol_http = require("@smithy/protocol-http");
var import_smithy_client = require("@smithy/smithy-client");

// src/auth/httpAuthExtensionConfiguration.ts
var getHttpAuthExtensionConfiguration = /* @__PURE__ */ __name((runtimeConfig) => {
  const _httpAuthSchemes = runtimeConfig.httpAuthSchemes;
  let _httpAuthSchemeProvider = runtimeConfig.httpAuthSchemeProvider;
  let _credentials = runtimeConfig.credentials;
  return {
    setHttpAuthScheme(httpAuthScheme) {
      const index = _httpAuthSchemes.findIndex((scheme) => scheme.schemeId === httpAuthScheme.schemeId);
      if (index === -1) {
        _httpAuthSchemes.push(httpAuthScheme);
      } else {
        _httpAuthSchemes.splice(index, 1, httpAuthScheme);
      }
    },
    httpAuthSchemes() {
      return _httpAuthSchemes;
    },
    setHttpAuthSchemeProvider(httpAuthSchemeProvider) {
      _httpAuthSchemeProvider = httpAuthSchemeProvider;
    },
    httpAuthSchemeProvider() {
      return _httpAuthSchemeProvider;
    },
    setCredentials(credentials) {
      _credentials = credentials;
    },
    credentials() {
      return _credentials;
    }
  };
}, "getHttpAuthExtensionConfiguration");
var resolveHttpAuthRuntimeConfig = /* @__PURE__ */ __name((config) => {
  return {
    httpAuthSchemes: config.httpAuthSchemes(),
    httpAuthSchemeProvider: config.httpAuthSchemeProvider(),
    credentials: config.credentials()
  };
}, "resolveHttpAuthRuntimeConfig");

// src/runtimeExtensions.ts
var asPartial = /* @__PURE__ */ __name((t) => t, "asPartial");
var resolveRuntimeExtensions = /* @__PURE__ */ __name((runtimeConfig, extensions) => {
  const extensionConfiguration = {
    ...asPartial((0, import_region_config_resolver.getAwsRegionExtensionConfiguration)(runtimeConfig)),
    ...asPartial((0, import_smithy_client.getDefaultExtensionConfiguration)(runtimeConfig)),
    ...asPartial((0, import_protocol_http.getHttpHandlerExtensionConfiguration)(runtimeConfig)),
    ...asPartial(getHttpAuthExtensionConfiguration(runtimeConfig))
  };
  extensions.forEach((extension) => extension.configure(extensionConfiguration));
  return {
    ...runtimeConfig,
    ...(0, import_region_config_resolver.resolveAwsRegionExtensionConfiguration)(extensionConfiguration),
    ...(0, import_smithy_client.resolveDefaultRuntimeConfig)(extensionConfiguration),
    ...(0, import_protocol_http.resolveHttpHandlerRuntimeConfig)(extensionConfiguration),
    ...resolveHttpAuthRuntimeConfig(extensionConfiguration)
  };
}, "resolveRuntimeExtensions");

// src/IdentitystoreClient.ts
var _IdentitystoreClient = class _IdentitystoreClient extends import_smithy_client.Client {
  constructor(...[configuration]) {
    const _config_0 = (0, import_runtimeConfig.getRuntimeConfig)(configuration || {});
    const _config_1 = resolveClientEndpointParameters(_config_0);
    const _config_2 = (0, import_middleware_user_agent.resolveUserAgentConfig)(_config_1);
    const _config_3 = (0, import_middleware_retry.resolveRetryConfig)(_config_2);
    const _config_4 = (0, import_config_resolver.resolveRegionConfig)(_config_3);
    const _config_5 = (0, import_middleware_host_header.resolveHostHeaderConfig)(_config_4);
    const _config_6 = (0, import_middleware_endpoint.resolveEndpointConfig)(_config_5);
    const _config_7 = (0, import_httpAuthSchemeProvider.resolveHttpAuthSchemeConfig)(_config_6);
    const _config_8 = resolveRuntimeExtensions(_config_7, (configuration == null ? void 0 : configuration.extensions) || []);
    super(_config_8);
    this.config = _config_8;
    this.middlewareStack.use((0, import_middleware_user_agent.getUserAgentPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_retry.getRetryPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_content_length.getContentLengthPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_host_header.getHostHeaderPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_logger.getLoggerPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_recursion_detection.getRecursionDetectionPlugin)(this.config));
    this.middlewareStack.use(
      (0, import_core.getHttpAuthSchemeEndpointRuleSetPlugin)(this.config, {
        httpAuthSchemeParametersProvider: import_httpAuthSchemeProvider.defaultIdentitystoreHttpAuthSchemeParametersProvider,
        identityProviderConfigProvider: async (config) => new import_core.DefaultIdentityProviderConfig({
          "aws.auth#sigv4": config.credentials
        })
      })
    );
    this.middlewareStack.use((0, import_core.getHttpSigningPlugin)(this.config));
  }
  /**
   * Destroy underlying resources, like sockets. It's usually not necessary to do this.
   * However in Node.js, it's best to explicitly shut down the client's agent when it is no longer needed.
   * Otherwise, sockets might stay open for quite a long time before the server terminates them.
   */
  destroy() {
    super.destroy();
  }
};
__name(_IdentitystoreClient, "IdentitystoreClient");
var IdentitystoreClient = _IdentitystoreClient;

// src/Identitystore.ts


// src/commands/CreateGroupCommand.ts

var import_middleware_serde = require("@smithy/middleware-serde");


// src/models/models_0.ts


// src/models/IdentitystoreServiceException.ts

var _IdentitystoreServiceException = class _IdentitystoreServiceException extends import_smithy_client.ServiceException {
  /**
   * @internal
   */
  constructor(options) {
    super(options);
    Object.setPrototypeOf(this, _IdentitystoreServiceException.prototype);
  }
};
__name(_IdentitystoreServiceException, "IdentitystoreServiceException");
var IdentitystoreServiceException = _IdentitystoreServiceException;

// src/models/models_0.ts
var _AccessDeniedException = class _AccessDeniedException extends IdentitystoreServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "AccessDeniedException",
      $fault: "client",
      ...opts
    });
    this.name = "AccessDeniedException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _AccessDeniedException.prototype);
    this.Message = opts.Message;
    this.RequestId = opts.RequestId;
  }
};
__name(_AccessDeniedException, "AccessDeniedException");
var AccessDeniedException = _AccessDeniedException;
var AlternateIdentifier;
((AlternateIdentifier2) => {
  AlternateIdentifier2.visit = /* @__PURE__ */ __name((value, visitor) => {
    if (value.ExternalId !== void 0)
      return visitor.ExternalId(value.ExternalId);
    if (value.UniqueAttribute !== void 0)
      return visitor.UniqueAttribute(value.UniqueAttribute);
    return visitor._(value.$unknown[0], value.$unknown[1]);
  }, "visit");
})(AlternateIdentifier || (AlternateIdentifier = {}));
var _InternalServerException = class _InternalServerException extends IdentitystoreServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InternalServerException",
      $fault: "server",
      ...opts
    });
    this.name = "InternalServerException";
    this.$fault = "server";
    this.$retryable = {};
    Object.setPrototypeOf(this, _InternalServerException.prototype);
    this.Message = opts.Message;
    this.RequestId = opts.RequestId;
    this.RetryAfterSeconds = opts.RetryAfterSeconds;
  }
};
__name(_InternalServerException, "InternalServerException");
var InternalServerException = _InternalServerException;
var ResourceType = {
  GROUP: "GROUP",
  GROUP_MEMBERSHIP: "GROUP_MEMBERSHIP",
  IDENTITY_STORE: "IDENTITY_STORE",
  USER: "USER"
};
var _ResourceNotFoundException = class _ResourceNotFoundException extends IdentitystoreServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ResourceNotFoundException",
      $fault: "client",
      ...opts
    });
    this.name = "ResourceNotFoundException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _ResourceNotFoundException.prototype);
    this.ResourceType = opts.ResourceType;
    this.ResourceId = opts.ResourceId;
    this.Message = opts.Message;
    this.RequestId = opts.RequestId;
  }
};
__name(_ResourceNotFoundException, "ResourceNotFoundException");
var ResourceNotFoundException = _ResourceNotFoundException;
var _ThrottlingException = class _ThrottlingException extends IdentitystoreServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ThrottlingException",
      $fault: "client",
      ...opts
    });
    this.name = "ThrottlingException";
    this.$fault = "client";
    this.$retryable = {
      throttling: true
    };
    Object.setPrototypeOf(this, _ThrottlingException.prototype);
    this.Message = opts.Message;
    this.RequestId = opts.RequestId;
    this.RetryAfterSeconds = opts.RetryAfterSeconds;
  }
};
__name(_ThrottlingException, "ThrottlingException");
var ThrottlingException = _ThrottlingException;
var _ValidationException = class _ValidationException extends IdentitystoreServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ValidationException",
      $fault: "client",
      ...opts
    });
    this.name = "ValidationException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _ValidationException.prototype);
    this.Message = opts.Message;
    this.RequestId = opts.RequestId;
  }
};
__name(_ValidationException, "ValidationException");
var ValidationException = _ValidationException;
var MemberId;
((MemberId3) => {
  MemberId3.visit = /* @__PURE__ */ __name((value, visitor) => {
    if (value.UserId !== void 0)
      return visitor.UserId(value.UserId);
    return visitor._(value.$unknown[0], value.$unknown[1]);
  }, "visit");
})(MemberId || (MemberId = {}));
var ConflictExceptionReason = {
  CONCURRENT_MODIFICATION: "CONCURRENT_MODIFICATION",
  UNIQUENESS_CONSTRAINT_VIOLATION: "UNIQUENESS_CONSTRAINT_VIOLATION"
};
var _ConflictException = class _ConflictException extends IdentitystoreServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ConflictException",
      $fault: "client",
      ...opts
    });
    this.name = "ConflictException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _ConflictException.prototype);
    this.Message = opts.Message;
    this.RequestId = opts.RequestId;
    this.Reason = opts.Reason;
  }
};
__name(_ConflictException, "ConflictException");
var ConflictException = _ConflictException;
var _ServiceQuotaExceededException = class _ServiceQuotaExceededException extends IdentitystoreServiceException {
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ServiceQuotaExceededException",
      $fault: "client",
      ...opts
    });
    this.name = "ServiceQuotaExceededException";
    this.$fault = "client";
    Object.setPrototypeOf(this, _ServiceQuotaExceededException.prototype);
    this.Message = opts.Message;
    this.RequestId = opts.RequestId;
  }
};
__name(_ServiceQuotaExceededException, "ServiceQuotaExceededException");
var ServiceQuotaExceededException = _ServiceQuotaExceededException;
var AddressFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.StreetAddress && { StreetAddress: import_smithy_client.SENSITIVE_STRING },
  ...obj.Locality && { Locality: import_smithy_client.SENSITIVE_STRING },
  ...obj.Region && { Region: import_smithy_client.SENSITIVE_STRING },
  ...obj.PostalCode && { PostalCode: import_smithy_client.SENSITIVE_STRING },
  ...obj.Country && { Country: import_smithy_client.SENSITIVE_STRING },
  ...obj.Formatted && { Formatted: import_smithy_client.SENSITIVE_STRING },
  ...obj.Type && { Type: import_smithy_client.SENSITIVE_STRING },
  ...obj.Primary && { Primary: import_smithy_client.SENSITIVE_STRING }
}), "AddressFilterSensitiveLog");
var ExternalIdFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.Issuer && { Issuer: import_smithy_client.SENSITIVE_STRING },
  ...obj.Id && { Id: import_smithy_client.SENSITIVE_STRING }
}), "ExternalIdFilterSensitiveLog");
var AlternateIdentifierFilterSensitiveLog = /* @__PURE__ */ __name((obj) => {
  if (obj.ExternalId !== void 0)
    return { ExternalId: ExternalIdFilterSensitiveLog(obj.ExternalId) };
  if (obj.UniqueAttribute !== void 0)
    return { UniqueAttribute: obj.UniqueAttribute };
  if (obj.$unknown !== void 0)
    return { [obj.$unknown[0]]: "UNKNOWN" };
}, "AlternateIdentifierFilterSensitiveLog");
var GetGroupIdRequestFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.AlternateIdentifier && {
    AlternateIdentifier: AlternateIdentifierFilterSensitiveLog(obj.AlternateIdentifier)
  }
}), "GetGroupIdRequestFilterSensitiveLog");
var GetUserIdRequestFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.AlternateIdentifier && {
    AlternateIdentifier: AlternateIdentifierFilterSensitiveLog(obj.AlternateIdentifier)
  }
}), "GetUserIdRequestFilterSensitiveLog");
var CreateGroupRequestFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.DisplayName && { DisplayName: import_smithy_client.SENSITIVE_STRING },
  ...obj.Description && { Description: import_smithy_client.SENSITIVE_STRING }
}), "CreateGroupRequestFilterSensitiveLog");
var DescribeGroupResponseFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.DisplayName && { DisplayName: import_smithy_client.SENSITIVE_STRING },
  ...obj.ExternalIds && { ExternalIds: obj.ExternalIds.map((item) => ExternalIdFilterSensitiveLog(item)) },
  ...obj.Description && { Description: import_smithy_client.SENSITIVE_STRING }
}), "DescribeGroupResponseFilterSensitiveLog");
var FilterFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.AttributeValue && { AttributeValue: import_smithy_client.SENSITIVE_STRING }
}), "FilterFilterSensitiveLog");
var ListGroupsRequestFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.Filters && { Filters: obj.Filters.map((item) => FilterFilterSensitiveLog(item)) }
}), "ListGroupsRequestFilterSensitiveLog");
var GroupFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.DisplayName && { DisplayName: import_smithy_client.SENSITIVE_STRING },
  ...obj.ExternalIds && { ExternalIds: obj.ExternalIds.map((item) => ExternalIdFilterSensitiveLog(item)) },
  ...obj.Description && { Description: import_smithy_client.SENSITIVE_STRING }
}), "GroupFilterSensitiveLog");
var ListGroupsResponseFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.Groups && { Groups: obj.Groups.map((item) => GroupFilterSensitiveLog(item)) }
}), "ListGroupsResponseFilterSensitiveLog");
var GroupMembershipExistenceResultFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.MemberId && { MemberId: obj.MemberId },
  ...obj.MembershipExists && { MembershipExists: import_smithy_client.SENSITIVE_STRING }
}), "GroupMembershipExistenceResultFilterSensitiveLog");
var IsMemberInGroupsResponseFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.Results && { Results: obj.Results.map((item) => GroupMembershipExistenceResultFilterSensitiveLog(item)) }
}), "IsMemberInGroupsResponseFilterSensitiveLog");
var EmailFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.Value && { Value: import_smithy_client.SENSITIVE_STRING },
  ...obj.Type && { Type: import_smithy_client.SENSITIVE_STRING },
  ...obj.Primary && { Primary: import_smithy_client.SENSITIVE_STRING }
}), "EmailFilterSensitiveLog");
var NameFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.Formatted && { Formatted: import_smithy_client.SENSITIVE_STRING },
  ...obj.FamilyName && { FamilyName: import_smithy_client.SENSITIVE_STRING },
  ...obj.GivenName && { GivenName: import_smithy_client.SENSITIVE_STRING },
  ...obj.MiddleName && { MiddleName: import_smithy_client.SENSITIVE_STRING },
  ...obj.HonorificPrefix && { HonorificPrefix: import_smithy_client.SENSITIVE_STRING },
  ...obj.HonorificSuffix && { HonorificSuffix: import_smithy_client.SENSITIVE_STRING }
}), "NameFilterSensitiveLog");
var PhoneNumberFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.Value && { Value: import_smithy_client.SENSITIVE_STRING },
  ...obj.Type && { Type: import_smithy_client.SENSITIVE_STRING },
  ...obj.Primary && { Primary: import_smithy_client.SENSITIVE_STRING }
}), "PhoneNumberFilterSensitiveLog");
var CreateUserRequestFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.UserName && { UserName: import_smithy_client.SENSITIVE_STRING },
  ...obj.Name && { Name: NameFilterSensitiveLog(obj.Name) },
  ...obj.DisplayName && { DisplayName: import_smithy_client.SENSITIVE_STRING },
  ...obj.NickName && { NickName: import_smithy_client.SENSITIVE_STRING },
  ...obj.ProfileUrl && { ProfileUrl: import_smithy_client.SENSITIVE_STRING },
  ...obj.Emails && { Emails: obj.Emails.map((item) => EmailFilterSensitiveLog(item)) },
  ...obj.Addresses && { Addresses: obj.Addresses.map((item) => AddressFilterSensitiveLog(item)) },
  ...obj.PhoneNumbers && { PhoneNumbers: obj.PhoneNumbers.map((item) => PhoneNumberFilterSensitiveLog(item)) },
  ...obj.UserType && { UserType: import_smithy_client.SENSITIVE_STRING },
  ...obj.Title && { Title: import_smithy_client.SENSITIVE_STRING },
  ...obj.PreferredLanguage && { PreferredLanguage: import_smithy_client.SENSITIVE_STRING },
  ...obj.Locale && { Locale: import_smithy_client.SENSITIVE_STRING },
  ...obj.Timezone && { Timezone: import_smithy_client.SENSITIVE_STRING }
}), "CreateUserRequestFilterSensitiveLog");
var DescribeUserResponseFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.UserName && { UserName: import_smithy_client.SENSITIVE_STRING },
  ...obj.ExternalIds && { ExternalIds: obj.ExternalIds.map((item) => ExternalIdFilterSensitiveLog(item)) },
  ...obj.Name && { Name: NameFilterSensitiveLog(obj.Name) },
  ...obj.DisplayName && { DisplayName: import_smithy_client.SENSITIVE_STRING },
  ...obj.NickName && { NickName: import_smithy_client.SENSITIVE_STRING },
  ...obj.ProfileUrl && { ProfileUrl: import_smithy_client.SENSITIVE_STRING },
  ...obj.Emails && { Emails: obj.Emails.map((item) => EmailFilterSensitiveLog(item)) },
  ...obj.Addresses && { Addresses: obj.Addresses.map((item) => AddressFilterSensitiveLog(item)) },
  ...obj.PhoneNumbers && { PhoneNumbers: obj.PhoneNumbers.map((item) => PhoneNumberFilterSensitiveLog(item)) },
  ...obj.UserType && { UserType: import_smithy_client.SENSITIVE_STRING },
  ...obj.Title && { Title: import_smithy_client.SENSITIVE_STRING },
  ...obj.PreferredLanguage && { PreferredLanguage: import_smithy_client.SENSITIVE_STRING },
  ...obj.Locale && { Locale: import_smithy_client.SENSITIVE_STRING },
  ...obj.Timezone && { Timezone: import_smithy_client.SENSITIVE_STRING }
}), "DescribeUserResponseFilterSensitiveLog");
var ListUsersRequestFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.Filters && { Filters: obj.Filters.map((item) => FilterFilterSensitiveLog(item)) }
}), "ListUsersRequestFilterSensitiveLog");
var UserFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.UserName && { UserName: import_smithy_client.SENSITIVE_STRING },
  ...obj.ExternalIds && { ExternalIds: obj.ExternalIds.map((item) => ExternalIdFilterSensitiveLog(item)) },
  ...obj.Name && { Name: NameFilterSensitiveLog(obj.Name) },
  ...obj.DisplayName && { DisplayName: import_smithy_client.SENSITIVE_STRING },
  ...obj.NickName && { NickName: import_smithy_client.SENSITIVE_STRING },
  ...obj.ProfileUrl && { ProfileUrl: import_smithy_client.SENSITIVE_STRING },
  ...obj.Emails && { Emails: obj.Emails.map((item) => EmailFilterSensitiveLog(item)) },
  ...obj.Addresses && { Addresses: obj.Addresses.map((item) => AddressFilterSensitiveLog(item)) },
  ...obj.PhoneNumbers && { PhoneNumbers: obj.PhoneNumbers.map((item) => PhoneNumberFilterSensitiveLog(item)) },
  ...obj.UserType && { UserType: import_smithy_client.SENSITIVE_STRING },
  ...obj.Title && { Title: import_smithy_client.SENSITIVE_STRING },
  ...obj.PreferredLanguage && { PreferredLanguage: import_smithy_client.SENSITIVE_STRING },
  ...obj.Locale && { Locale: import_smithy_client.SENSITIVE_STRING },
  ...obj.Timezone && { Timezone: import_smithy_client.SENSITIVE_STRING }
}), "UserFilterSensitiveLog");
var ListUsersResponseFilterSensitiveLog = /* @__PURE__ */ __name((obj) => ({
  ...obj,
  ...obj.Users && { Users: obj.Users.map((item) => UserFilterSensitiveLog(item)) }
}), "ListUsersResponseFilterSensitiveLog");

// src/protocols/Aws_json1_1.ts
var import_core2 = require("@aws-sdk/core");


var se_CreateGroupCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("CreateGroup");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_CreateGroupCommand");
var se_CreateGroupMembershipCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("CreateGroupMembership");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_CreateGroupMembershipCommand");
var se_CreateUserCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("CreateUser");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_CreateUserCommand");
var se_DeleteGroupCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("DeleteGroup");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_DeleteGroupCommand");
var se_DeleteGroupMembershipCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("DeleteGroupMembership");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_DeleteGroupMembershipCommand");
var se_DeleteUserCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("DeleteUser");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_DeleteUserCommand");
var se_DescribeGroupCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("DescribeGroup");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_DescribeGroupCommand");
var se_DescribeGroupMembershipCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("DescribeGroupMembership");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_DescribeGroupMembershipCommand");
var se_DescribeUserCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("DescribeUser");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_DescribeUserCommand");
var se_GetGroupIdCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("GetGroupId");
  let body;
  body = JSON.stringify(se_GetGroupIdRequest(input, context));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_GetGroupIdCommand");
var se_GetGroupMembershipIdCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("GetGroupMembershipId");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_GetGroupMembershipIdCommand");
var se_GetUserIdCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("GetUserId");
  let body;
  body = JSON.stringify(se_GetUserIdRequest(input, context));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_GetUserIdCommand");
var se_IsMemberInGroupsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("IsMemberInGroups");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_IsMemberInGroupsCommand");
var se_ListGroupMembershipsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("ListGroupMemberships");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_ListGroupMembershipsCommand");
var se_ListGroupMembershipsForMemberCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("ListGroupMembershipsForMember");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_ListGroupMembershipsForMemberCommand");
var se_ListGroupsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("ListGroups");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_ListGroupsCommand");
var se_ListUsersCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("ListUsers");
  let body;
  body = JSON.stringify((0, import_smithy_client._json)(input));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_ListUsersCommand");
var se_UpdateGroupCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("UpdateGroup");
  let body;
  body = JSON.stringify(se_UpdateGroupRequest(input, context));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_UpdateGroupCommand");
var se_UpdateUserCommand = /* @__PURE__ */ __name(async (input, context) => {
  const headers = sharedHeaders("UpdateUser");
  let body;
  body = JSON.stringify(se_UpdateUserRequest(input, context));
  return buildHttpRpcRequest(context, headers, "/", void 0, body);
}, "se_UpdateUserCommand");
var de_CreateGroupCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_CreateGroupCommand");
var de_CreateGroupMembershipCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_CreateGroupMembershipCommand");
var de_CreateUserCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_CreateUserCommand");
var de_DeleteGroupCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_DeleteGroupCommand");
var de_DeleteGroupMembershipCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_DeleteGroupMembershipCommand");
var de_DeleteUserCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_DeleteUserCommand");
var de_DescribeGroupCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_DescribeGroupCommand");
var de_DescribeGroupMembershipCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_DescribeGroupMembershipCommand");
var de_DescribeUserCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_DescribeUserCommand");
var de_GetGroupIdCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_GetGroupIdCommand");
var de_GetGroupMembershipIdCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_GetGroupMembershipIdCommand");
var de_GetUserIdCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_GetUserIdCommand");
var de_IsMemberInGroupsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_IsMemberInGroupsCommand");
var de_ListGroupMembershipsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_ListGroupMembershipsCommand");
var de_ListGroupMembershipsForMemberCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_ListGroupMembershipsForMemberCommand");
var de_ListGroupsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_ListGroupsCommand");
var de_ListUsersCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_ListUsersCommand");
var de_UpdateGroupCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_UpdateGroupCommand");
var de_UpdateUserCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const data = await (0, import_core2.parseJsonBody)(output.body, context);
  let contents = {};
  contents = (0, import_smithy_client._json)(data);
  const response = {
    $metadata: deserializeMetadata(output),
    ...contents
  };
  return response;
}, "de_UpdateUserCommand");
var de_CommandError = /* @__PURE__ */ __name(async (output, context) => {
  const parsedOutput = {
    ...output,
    body: await (0, import_core2.parseJsonErrorBody)(output.body, context)
  };
  const errorCode = (0, import_core2.loadRestJsonErrorCode)(output, parsedOutput.body);
  switch (errorCode) {
    case "AccessDeniedException":
    case "com.amazonaws.identitystore#AccessDeniedException":
      throw await de_AccessDeniedExceptionRes(parsedOutput, context);
    case "ConflictException":
    case "com.amazonaws.identitystore#ConflictException":
      throw await de_ConflictExceptionRes(parsedOutput, context);
    case "InternalServerException":
    case "com.amazonaws.identitystore#InternalServerException":
      throw await de_InternalServerExceptionRes(parsedOutput, context);
    case "ResourceNotFoundException":
    case "com.amazonaws.identitystore#ResourceNotFoundException":
      throw await de_ResourceNotFoundExceptionRes(parsedOutput, context);
    case "ServiceQuotaExceededException":
    case "com.amazonaws.identitystore#ServiceQuotaExceededException":
      throw await de_ServiceQuotaExceededExceptionRes(parsedOutput, context);
    case "ThrottlingException":
    case "com.amazonaws.identitystore#ThrottlingException":
      throw await de_ThrottlingExceptionRes(parsedOutput, context);
    case "ValidationException":
    case "com.amazonaws.identitystore#ValidationException":
      throw await de_ValidationExceptionRes(parsedOutput, context);
    default:
      const parsedBody = parsedOutput.body;
      return throwDefaultError({
        output,
        parsedBody,
        errorCode
      });
  }
}, "de_CommandError");
var de_AccessDeniedExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new AccessDeniedException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_AccessDeniedExceptionRes");
var de_ConflictExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new ConflictException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_ConflictExceptionRes");
var de_InternalServerExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new InternalServerException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_InternalServerExceptionRes");
var de_ResourceNotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new ResourceNotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_ResourceNotFoundExceptionRes");
var de_ServiceQuotaExceededExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new ServiceQuotaExceededException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_ServiceQuotaExceededExceptionRes");
var de_ThrottlingExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new ThrottlingException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_ThrottlingExceptionRes");
var de_ValidationExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const body = parsedOutput.body;
  const deserialized = (0, import_smithy_client._json)(body);
  const exception = new ValidationException({
    $metadata: deserializeMetadata(parsedOutput),
    ...deserialized
  });
  return (0, import_smithy_client.decorateServiceException)(exception, body);
}, "de_ValidationExceptionRes");
var se_AlternateIdentifier = /* @__PURE__ */ __name((input, context) => {
  return AlternateIdentifier.visit(input, {
    ExternalId: (value) => ({ ExternalId: (0, import_smithy_client._json)(value) }),
    UniqueAttribute: (value) => ({ UniqueAttribute: se_UniqueAttribute(value, context) }),
    _: (name, value) => ({ name: value })
  });
}, "se_AlternateIdentifier");
var se_AttributeOperation = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    AttributePath: [],
    AttributeValue: (_) => se_AttributeValue(_, context)
  });
}, "se_AttributeOperation");
var se_AttributeOperations = /* @__PURE__ */ __name((input, context) => {
  return input.filter((e) => e != null).map((entry) => {
    return se_AttributeOperation(entry, context);
  });
}, "se_AttributeOperations");
var se_AttributeValue = /* @__PURE__ */ __name((input, context) => {
  return input;
}, "se_AttributeValue");
var se_GetGroupIdRequest = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    AlternateIdentifier: (_) => se_AlternateIdentifier(_, context),
    IdentityStoreId: []
  });
}, "se_GetGroupIdRequest");
var se_GetUserIdRequest = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    AlternateIdentifier: (_) => se_AlternateIdentifier(_, context),
    IdentityStoreId: []
  });
}, "se_GetUserIdRequest");
var se_UniqueAttribute = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    AttributePath: [],
    AttributeValue: (_) => se_AttributeValue(_, context)
  });
}, "se_UniqueAttribute");
var se_UpdateGroupRequest = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    GroupId: [],
    IdentityStoreId: [],
    Operations: (_) => se_AttributeOperations(_, context)
  });
}, "se_UpdateGroupRequest");
var se_UpdateUserRequest = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    IdentityStoreId: [],
    Operations: (_) => se_AttributeOperations(_, context),
    UserId: []
  });
}, "se_UpdateUserRequest");
var deserializeMetadata = /* @__PURE__ */ __name((output) => ({
  httpStatusCode: output.statusCode,
  requestId: output.headers["x-amzn-requestid"] ?? output.headers["x-amzn-request-id"] ?? output.headers["x-amz-request-id"],
  extendedRequestId: output.headers["x-amz-id-2"],
  cfId: output.headers["x-amz-cf-id"]
}), "deserializeMetadata");
var throwDefaultError = (0, import_smithy_client.withBaseException)(IdentitystoreServiceException);
var buildHttpRpcRequest = /* @__PURE__ */ __name(async (context, headers, path, resolvedHostname, body) => {
  const { hostname, protocol = "https", port, path: basePath } = await context.endpoint();
  const contents = {
    protocol,
    hostname,
    port,
    method: "POST",
    path: basePath.endsWith("/") ? basePath.slice(0, -1) + path : basePath + path,
    headers
  };
  if (resolvedHostname !== void 0) {
    contents.hostname = resolvedHostname;
  }
  if (body !== void 0) {
    contents.body = body;
  }
  return new import_protocol_http.HttpRequest(contents);
}, "buildHttpRpcRequest");
function sharedHeaders(operation) {
  return {
    "content-type": "application/x-amz-json-1.1",
    "x-amz-target": `AWSIdentityStore.${operation}`
  };
}
__name(sharedHeaders, "sharedHeaders");

// src/commands/CreateGroupCommand.ts
var _CreateGroupCommand = class _CreateGroupCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "CreateGroup", {}).n("IdentitystoreClient", "CreateGroupCommand").f(CreateGroupRequestFilterSensitiveLog, void 0).ser(se_CreateGroupCommand).de(de_CreateGroupCommand).build() {
};
__name(_CreateGroupCommand, "CreateGroupCommand");
var CreateGroupCommand = _CreateGroupCommand;

// src/commands/CreateGroupMembershipCommand.ts



var _CreateGroupMembershipCommand = class _CreateGroupMembershipCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "CreateGroupMembership", {}).n("IdentitystoreClient", "CreateGroupMembershipCommand").f(void 0, void 0).ser(se_CreateGroupMembershipCommand).de(de_CreateGroupMembershipCommand).build() {
};
__name(_CreateGroupMembershipCommand, "CreateGroupMembershipCommand");
var CreateGroupMembershipCommand = _CreateGroupMembershipCommand;

// src/commands/CreateUserCommand.ts



var _CreateUserCommand = class _CreateUserCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "CreateUser", {}).n("IdentitystoreClient", "CreateUserCommand").f(CreateUserRequestFilterSensitiveLog, void 0).ser(se_CreateUserCommand).de(de_CreateUserCommand).build() {
};
__name(_CreateUserCommand, "CreateUserCommand");
var CreateUserCommand = _CreateUserCommand;

// src/commands/DeleteGroupCommand.ts



var _DeleteGroupCommand = class _DeleteGroupCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "DeleteGroup", {}).n("IdentitystoreClient", "DeleteGroupCommand").f(void 0, void 0).ser(se_DeleteGroupCommand).de(de_DeleteGroupCommand).build() {
};
__name(_DeleteGroupCommand, "DeleteGroupCommand");
var DeleteGroupCommand = _DeleteGroupCommand;

// src/commands/DeleteGroupMembershipCommand.ts



var _DeleteGroupMembershipCommand = class _DeleteGroupMembershipCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "DeleteGroupMembership", {}).n("IdentitystoreClient", "DeleteGroupMembershipCommand").f(void 0, void 0).ser(se_DeleteGroupMembershipCommand).de(de_DeleteGroupMembershipCommand).build() {
};
__name(_DeleteGroupMembershipCommand, "DeleteGroupMembershipCommand");
var DeleteGroupMembershipCommand = _DeleteGroupMembershipCommand;

// src/commands/DeleteUserCommand.ts



var _DeleteUserCommand = class _DeleteUserCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "DeleteUser", {}).n("IdentitystoreClient", "DeleteUserCommand").f(void 0, void 0).ser(se_DeleteUserCommand).de(de_DeleteUserCommand).build() {
};
__name(_DeleteUserCommand, "DeleteUserCommand");
var DeleteUserCommand = _DeleteUserCommand;

// src/commands/DescribeGroupCommand.ts



var _DescribeGroupCommand = class _DescribeGroupCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "DescribeGroup", {}).n("IdentitystoreClient", "DescribeGroupCommand").f(void 0, DescribeGroupResponseFilterSensitiveLog).ser(se_DescribeGroupCommand).de(de_DescribeGroupCommand).build() {
};
__name(_DescribeGroupCommand, "DescribeGroupCommand");
var DescribeGroupCommand = _DescribeGroupCommand;

// src/commands/DescribeGroupMembershipCommand.ts



var _DescribeGroupMembershipCommand = class _DescribeGroupMembershipCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "DescribeGroupMembership", {}).n("IdentitystoreClient", "DescribeGroupMembershipCommand").f(void 0, void 0).ser(se_DescribeGroupMembershipCommand).de(de_DescribeGroupMembershipCommand).build() {
};
__name(_DescribeGroupMembershipCommand, "DescribeGroupMembershipCommand");
var DescribeGroupMembershipCommand = _DescribeGroupMembershipCommand;

// src/commands/DescribeUserCommand.ts



var _DescribeUserCommand = class _DescribeUserCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "DescribeUser", {}).n("IdentitystoreClient", "DescribeUserCommand").f(void 0, DescribeUserResponseFilterSensitiveLog).ser(se_DescribeUserCommand).de(de_DescribeUserCommand).build() {
};
__name(_DescribeUserCommand, "DescribeUserCommand");
var DescribeUserCommand = _DescribeUserCommand;

// src/commands/GetGroupIdCommand.ts



var _GetGroupIdCommand = class _GetGroupIdCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "GetGroupId", {}).n("IdentitystoreClient", "GetGroupIdCommand").f(GetGroupIdRequestFilterSensitiveLog, void 0).ser(se_GetGroupIdCommand).de(de_GetGroupIdCommand).build() {
};
__name(_GetGroupIdCommand, "GetGroupIdCommand");
var GetGroupIdCommand = _GetGroupIdCommand;

// src/commands/GetGroupMembershipIdCommand.ts



var _GetGroupMembershipIdCommand = class _GetGroupMembershipIdCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "GetGroupMembershipId", {}).n("IdentitystoreClient", "GetGroupMembershipIdCommand").f(void 0, void 0).ser(se_GetGroupMembershipIdCommand).de(de_GetGroupMembershipIdCommand).build() {
};
__name(_GetGroupMembershipIdCommand, "GetGroupMembershipIdCommand");
var GetGroupMembershipIdCommand = _GetGroupMembershipIdCommand;

// src/commands/GetUserIdCommand.ts



var _GetUserIdCommand = class _GetUserIdCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "GetUserId", {}).n("IdentitystoreClient", "GetUserIdCommand").f(GetUserIdRequestFilterSensitiveLog, void 0).ser(se_GetUserIdCommand).de(de_GetUserIdCommand).build() {
};
__name(_GetUserIdCommand, "GetUserIdCommand");
var GetUserIdCommand = _GetUserIdCommand;

// src/commands/IsMemberInGroupsCommand.ts



var _IsMemberInGroupsCommand = class _IsMemberInGroupsCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "IsMemberInGroups", {}).n("IdentitystoreClient", "IsMemberInGroupsCommand").f(void 0, IsMemberInGroupsResponseFilterSensitiveLog).ser(se_IsMemberInGroupsCommand).de(de_IsMemberInGroupsCommand).build() {
};
__name(_IsMemberInGroupsCommand, "IsMemberInGroupsCommand");
var IsMemberInGroupsCommand = _IsMemberInGroupsCommand;

// src/commands/ListGroupMembershipsCommand.ts



var _ListGroupMembershipsCommand = class _ListGroupMembershipsCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "ListGroupMemberships", {}).n("IdentitystoreClient", "ListGroupMembershipsCommand").f(void 0, void 0).ser(se_ListGroupMembershipsCommand).de(de_ListGroupMembershipsCommand).build() {
};
__name(_ListGroupMembershipsCommand, "ListGroupMembershipsCommand");
var ListGroupMembershipsCommand = _ListGroupMembershipsCommand;

// src/commands/ListGroupMembershipsForMemberCommand.ts



var _ListGroupMembershipsForMemberCommand = class _ListGroupMembershipsForMemberCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "ListGroupMembershipsForMember", {}).n("IdentitystoreClient", "ListGroupMembershipsForMemberCommand").f(void 0, void 0).ser(se_ListGroupMembershipsForMemberCommand).de(de_ListGroupMembershipsForMemberCommand).build() {
};
__name(_ListGroupMembershipsForMemberCommand, "ListGroupMembershipsForMemberCommand");
var ListGroupMembershipsForMemberCommand = _ListGroupMembershipsForMemberCommand;

// src/commands/ListGroupsCommand.ts



var _ListGroupsCommand = class _ListGroupsCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "ListGroups", {}).n("IdentitystoreClient", "ListGroupsCommand").f(ListGroupsRequestFilterSensitiveLog, ListGroupsResponseFilterSensitiveLog).ser(se_ListGroupsCommand).de(de_ListGroupsCommand).build() {
};
__name(_ListGroupsCommand, "ListGroupsCommand");
var ListGroupsCommand = _ListGroupsCommand;

// src/commands/ListUsersCommand.ts



var _ListUsersCommand = class _ListUsersCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "ListUsers", {}).n("IdentitystoreClient", "ListUsersCommand").f(ListUsersRequestFilterSensitiveLog, ListUsersResponseFilterSensitiveLog).ser(se_ListUsersCommand).de(de_ListUsersCommand).build() {
};
__name(_ListUsersCommand, "ListUsersCommand");
var ListUsersCommand = _ListUsersCommand;

// src/commands/UpdateGroupCommand.ts



var _UpdateGroupCommand = class _UpdateGroupCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "UpdateGroup", {}).n("IdentitystoreClient", "UpdateGroupCommand").f(void 0, void 0).ser(se_UpdateGroupCommand).de(de_UpdateGroupCommand).build() {
};
__name(_UpdateGroupCommand, "UpdateGroupCommand");
var UpdateGroupCommand = _UpdateGroupCommand;

// src/commands/UpdateUserCommand.ts



var _UpdateUserCommand = class _UpdateUserCommand extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("AWSIdentityStore", "UpdateUser", {}).n("IdentitystoreClient", "UpdateUserCommand").f(void 0, void 0).ser(se_UpdateUserCommand).de(de_UpdateUserCommand).build() {
};
__name(_UpdateUserCommand, "UpdateUserCommand");
var UpdateUserCommand = _UpdateUserCommand;

// src/Identitystore.ts
var commands = {
  CreateGroupCommand,
  CreateGroupMembershipCommand,
  CreateUserCommand,
  DeleteGroupCommand,
  DeleteGroupMembershipCommand,
  DeleteUserCommand,
  DescribeGroupCommand,
  DescribeGroupMembershipCommand,
  DescribeUserCommand,
  GetGroupIdCommand,
  GetGroupMembershipIdCommand,
  GetUserIdCommand,
  IsMemberInGroupsCommand,
  ListGroupMembershipsCommand,
  ListGroupMembershipsForMemberCommand,
  ListGroupsCommand,
  ListUsersCommand,
  UpdateGroupCommand,
  UpdateUserCommand
};
var _Identitystore = class _Identitystore extends IdentitystoreClient {
};
__name(_Identitystore, "Identitystore");
var Identitystore = _Identitystore;
(0, import_smithy_client.createAggregatedClient)(commands, Identitystore);

// src/pagination/ListGroupMembershipsForMemberPaginator.ts

var paginateListGroupMembershipsForMember = (0, import_core.createPaginator)(IdentitystoreClient, ListGroupMembershipsForMemberCommand, "NextToken", "NextToken", "MaxResults");

// src/pagination/ListGroupMembershipsPaginator.ts

var paginateListGroupMemberships = (0, import_core.createPaginator)(IdentitystoreClient, ListGroupMembershipsCommand, "NextToken", "NextToken", "MaxResults");

// src/pagination/ListGroupsPaginator.ts

var paginateListGroups = (0, import_core.createPaginator)(IdentitystoreClient, ListGroupsCommand, "NextToken", "NextToken", "MaxResults");

// src/pagination/ListUsersPaginator.ts

var paginateListUsers = (0, import_core.createPaginator)(IdentitystoreClient, ListUsersCommand, "NextToken", "NextToken", "MaxResults");
// Annotate the CommonJS export names for ESM import in node:

0 && (module.exports = {
  IdentitystoreServiceException,
  __Client,
  IdentitystoreClient,
  Identitystore,
  $Command,
  CreateGroupCommand,
  CreateGroupMembershipCommand,
  CreateUserCommand,
  DeleteGroupCommand,
  DeleteGroupMembershipCommand,
  DeleteUserCommand,
  DescribeGroupCommand,
  DescribeGroupMembershipCommand,
  DescribeUserCommand,
  GetGroupIdCommand,
  GetGroupMembershipIdCommand,
  GetUserIdCommand,
  IsMemberInGroupsCommand,
  ListGroupMembershipsCommand,
  ListGroupMembershipsForMemberCommand,
  ListGroupsCommand,
  ListUsersCommand,
  UpdateGroupCommand,
  UpdateUserCommand,
  paginateListGroupMembershipsForMember,
  paginateListGroupMemberships,
  paginateListGroups,
  paginateListUsers,
  AccessDeniedException,
  AlternateIdentifier,
  InternalServerException,
  ResourceType,
  ResourceNotFoundException,
  ThrottlingException,
  ValidationException,
  MemberId,
  ConflictExceptionReason,
  ConflictException,
  ServiceQuotaExceededException,
  AddressFilterSensitiveLog,
  ExternalIdFilterSensitiveLog,
  AlternateIdentifierFilterSensitiveLog,
  GetGroupIdRequestFilterSensitiveLog,
  GetUserIdRequestFilterSensitiveLog,
  CreateGroupRequestFilterSensitiveLog,
  DescribeGroupResponseFilterSensitiveLog,
  FilterFilterSensitiveLog,
  ListGroupsRequestFilterSensitiveLog,
  GroupFilterSensitiveLog,
  ListGroupsResponseFilterSensitiveLog,
  GroupMembershipExistenceResultFilterSensitiveLog,
  IsMemberInGroupsResponseFilterSensitiveLog,
  EmailFilterSensitiveLog,
  NameFilterSensitiveLog,
  PhoneNumberFilterSensitiveLog,
  CreateUserRequestFilterSensitiveLog,
  DescribeUserResponseFilterSensitiveLog,
  ListUsersRequestFilterSensitiveLog,
  UserFilterSensitiveLog,
  ListUsersResponseFilterSensitiveLog
});

